Jump to content


P4Eclipse giving invalid SSL session error

p4eclipse

  • Please log in to reply
2 replies to this topic

#1 deepakmore

deepakmore

    Newbie

  • Members
  • Pip
  • 2 posts

Posted 19 March 2014 - 05:03 AM

I am using eclipse Juno (Service Release 2) with p4eclipse plugin installed on Windows machine. I am able to use it successfully by changing Java Cryptography Extension jars. But after restarting my machine, eclipse is giving 'Error occurred during the SSL handshake: invalid SSL session' error on startup and I am not able to use p4 plugin again.
Is there any way to fix this issue? See error logs below :-
com.perforce.p4java.exception.ConnectionException: Error occurred during the SSL handshake: invalid SSL session
at com.perforce.p4java.impl.mapbased.server.Server.getServerVersion(Server.java:5315)
at com.perforce.p4java.impl.mapbased.server.Server.connect(Server.java:581)
at com.perforce.p4java.impl.mapbased.rpc.RpcServer.connect(RpcServer.java:348)
at com.perforce.p4java.impl.mapbased.rpc.OneShotServerImpl.connect(OneShotServerImpl.java:167)
at com.perforce.team.core.p4java.P4Connection.refreshServer(P4Connection.java:1749)
at com.perforce.team.core.p4java.P4Connection.getServer(P4Connection.java:587)
at com.perforce.team.core.p4java.P4Connection.connect(P4Connection.java:1119)
at com.perforce.team.ui.p4java.actions.WorkOnlineAction$1.run(WorkOnlineAction.java:49)
at com.perforce.team.ui.p4java.actions.WorkOnlineAction$2.run(WorkOnlineAction.java:82)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)
Caused by: com.perforce.p4java.exception.ConnectionException: Error occurred during the SSL handshake: invalid SSL session
at com.perforce.p4java.impl.mapbased.rpc.stream.RpcStreamConnection.<init>(RpcStreamConnection.java:236)
at com.perforce.p4java.impl.mapbased.rpc.OneShotServerImpl.execMapCmdList(OneShotServerImpl.java:308)
at com.perforce.p4java.impl.mapbased.rpc.OneShotServerImpl.execMapCmdList(OneShotServerImpl.java:196)
at com.perforce.p4java.impl.mapbased.server.Server.getServerVersion(Server.java:5295)
... 9 more


#2 P4Matt

P4Matt

    Advanced Member

  • Members
  • PipPipPip
  • 1383 posts

Posted 19 March 2014 - 09:49 PM

That's generally the error it throws when it doesn't have the JCE jars. Are they getting removed somehow when you reboot?

#3 deepakmore

deepakmore

    Newbie

  • Members
  • Pip
  • 2 posts

Posted 20 March 2014 - 03:58 AM

JCE jars were overriden, changing them to unlimited policy jars solved the issue. Thanks.





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users